aboutsummaryrefslogtreecommitdiff
path: root/scripts/package/Makefile
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@linux-foundation.org>2011-05-25 12:03:47 -0700
committerLinus Torvalds <torvalds@linux-foundation.org>2011-05-25 12:03:47 -0700
commit62af8163f9caa5b21996338ccd2564dfd727670e (patch)
tree73576f4970fe7f3653ebc07eb7b70f8c651e7522 /scripts/package/Makefile
parent57bb55957432f20fd6e5bb5ddfbd9987439157ec (diff)
parent0bd41dfc9fbbcf174d5336c1c9fc5ba917519761 (diff)
Merge branch 'packaging' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild-2.6
* 'packaging' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild-2.6: kbuild: Create a kernel-headers RPM rpm-pkg: Fix when current directory is a symlink Replace '-' in kernel version with '_'
Diffstat (limited to 'scripts/package/Makefile')
-rw-r--r--scripts/package/Makefile4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/package/Makefile b/scripts/package/Makefile
index a834b935f53..006960ebbce 100644
--- a/scripts/package/Makefile
+++ b/scripts/package/Makefile
@@ -26,9 +26,9 @@ RPM := $(shell if [ -x "/usr/bin/rpmbuild" ]; then echo rpmbuild; \
else echo rpm; fi)
# Remove hyphens since they have special meaning in RPM filenames
-KERNELPATH := kernel-$(subst -,,$(KERNELRELEASE))
+KERNELPATH := kernel-$(subst -,_,$(KERNELRELEASE))
MKSPEC := $(srctree)/scripts/package/mkspec
-PREV := set -e; cd ..;
+PREV := set -e; cd -P ..;
# rpm-pkg
# ---------------------------------------------------------------------------